<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KFile</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KFile Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>



<h2>Detailed Description</h2>

<p>KFile is a class which provides a namespace for some enumerated
values associated with the kfile library. You will never need to
construct a KFile object itself.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj192090380">FileView</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Default, Simple, Detail, SeparateDirs, PreviewContents, PreviewInfo, Tree, DetailTree, FileViewMax&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj200328044">Mode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;File, Directory, Files, ExistingOnly, LocalOnly, ModeMax&nbsp;}<br><i>Typesafe wrapper:</i> Modes</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj192090444">SelectionMode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Single, Multi, Extended, NoSelection&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197908460">__init__</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198620908">isDefaultView</a> (KFile.FileView view)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197907500">isDetailTreeView</a> (KFile.FileView view)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202830252">isDetailView</a> (KFile.FileView view)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202832108">isPreviewContents</a> (KFile.FileView view)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202832844">isPreviewInfo</a> (KFile.FileView view)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202831404">isSeparateDirs</a> (KFile.FileView view)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202831820">isSimpleView</a> (KFile.FileView view)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202872844">isSortByDate</a> (QDir.SortFlags sort)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198619404">isSortByName</a> (QDir.SortFlags sort)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198621100">isSortBySize</a> (QDir.SortFlags sort)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202873676">isSortByType</a> (QDir.SortFlags sort)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198621900">isSortCaseInsensitive</a> (QDir.SortFlags sort)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198622604">isSortDirsFirst</a> (QDir.SortFlags sort)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202832524">isTreeView</a> (KFile.FileView view)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj197908460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj198620908"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isDefaultView</td>
<td>(</td>
<td class="paramtype">KFile.FileView&nbsp;</td>
<td class="paramname"><em>view</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197907500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isDetailTreeView</td>
<td>(</td>
<td class="paramtype">KFile.FileView&nbsp;</td>
<td class="paramname"><em>view</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202830252"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isDetailView</td>
<td>(</td>
<td class="paramtype">KFile.FileView&nbsp;</td>
<td class="paramname"><em>view</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202832108"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isPreviewContents</td>
<td>(</td>
<td class="paramtype">KFile.FileView&nbsp;</td>
<td class="paramname"><em>view</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202832844"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isPreviewInfo</td>
<td>(</td>
<td class="paramtype">KFile.FileView&nbsp;</td>
<td class="paramname"><em>view</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202831404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSeparateDirs</td>
<td>(</td>
<td class="paramtype">KFile.FileView&nbsp;</td>
<td class="paramname"><em>view</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202831820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSimpleView</td>
<td>(</td>
<td class="paramtype">KFile.FileView&nbsp;</td>
<td class="paramname"><em>view</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202872844"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSortByDate</td>
<td>(</td>
<td class="paramtype">QDir.SortFlags&nbsp;</td>
<td class="paramname"><em>sort</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj198619404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSortByName</td>
<td>(</td>
<td class="paramtype">QDir.SortFlags&nbsp;</td>
<td class="paramname"><em>sort</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj198621100"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSortBySize</td>
<td>(</td>
<td class="paramtype">QDir.SortFlags&nbsp;</td>
<td class="paramname"><em>sort</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202873676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSortByType</td>
<td>(</td>
<td class="paramtype">QDir.SortFlags&nbsp;</td>
<td class="paramname"><em>sort</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj198621900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSortCaseInsensitive</td>
<td>(</td>
<td class="paramtype">QDir.SortFlags&nbsp;</td>
<td class="paramname"><em>sort</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj198622604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSortDirsFirst</td>
<td>(</td>
<td class="paramtype">QDir.SortFlags&nbsp;</td>
<td class="paramname"><em>sort</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202832524"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isTreeView</td>
<td>(</td>
<td class="paramtype">KFile.FileView&nbsp;</td>
<td class="paramname"><em>view</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj192090380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">FileView</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Default</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>Simple</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>Detail</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>SeparateDirs</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>PreviewContents</em>&nbsp;=&nbsp;8</td><td><tr><td valign="top"><em>PreviewInfo</em>&nbsp;=&nbsp;16</td><td><tr><td valign="top"><em>Tree</em>&nbsp;=&nbsp;32</td><td><tr><td valign="top"><em>DetailTree</em>&nbsp;=&nbsp;64</td><td><tr><td valign="top"><em>FileViewMax</em>&nbsp;=&nbsp;65536</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj200328044"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">Mode</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Modes of operation for the dialog.
<li> <b>File</b> - Get a single file name from the user. </li>
<li> <b>Directory</b> - Get a directory name from the user. </li>
<li> <b>Files</b> - Get multiple file names from the user. </li>
<li> <b>ExistingOnly</b> - Never return a filename which does not exist yet </li>
<li> <b>LocalOnly</b> - Don't return remote filenames </li>
</p><dl compact><dt><b>Note:</b></dt><dd>It is necessary to wrap members of this enumeration in a <code>Modes</code> instance when passing them to a method as group of flags. For example: <code>Modes( File | Directory)</code></dd></dl><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>File</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>Directory</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>Files</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>ExistingOnly</em>&nbsp;=&nbsp;8</td><td><tr><td valign="top"><em>LocalOnly</em>&nbsp;=&nbsp;16</td><td><tr><td valign="top"><em>ModeMax</em>&nbsp;=&nbsp;65536</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj192090444"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">SelectionMode</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Single</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>Multi</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>Extended</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>NoSelection</em>&nbsp;=&nbsp;8</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
